package com.huimv.management.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.common.utils.PageUtils;
import com.huimv.management.entity.FarmEntity;

import java.util.List;
import java.util.Map;

/**
 * 牧场表
 *
 * @author yinhao
 * @email yinhao@163.com
 * @date 2021-05-07 15:32:42
 */
public interface FarmService extends IService<FarmEntity> {

    PageUtils queryPage(Map<String, Object> params);

    List findAll();

    Integer delete(Integer[] ids);

    Boolean findByName(FarmEntity Farm);
}

